!-------------------------------------------------
!interface module of ugpack
!-------------------------------------------------
module ugpack
  use dcl_common
  contains
!-----------------------------2次元ベクトル場を描く．
    subroutine DclDrawVectors(u,v)
      real, intent(in), dimension(:,:)                 :: u 
      real, intent(in), dimension(size(u,1),size(u,2)) :: v 

      nx = size(u,1)
      ny = size(u,2)
      call ugvect(u,nx,v,nx,nx,ny)
    end subroutine
!-----------------------------ユニットベクトルにつけるタイトルを設定する．
    subroutine DclSetUnitVectorTitle(cside,title) 
      character(len=1), intent(in) :: cside  !タイトル位置を指定する
      character(len=*), intent(in) :: title  !タイトル
      call ugsut(cside,title) 
    end subroutine
      
end module

